Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.http
Class HttpAcceptLanguage

    java.lang.Object
      |
      +--org.w3c.www.http.BasicValue
            |
            +--org.w3c.www.http.HttpAcceptLanguage

All Implemented Interfaces:
  java.lang.Cloneable, HeaderValue

public class HttpAcceptLanguage
extends BasicValue

Field Summary

Fields inherited from class org.w3c.www.http.BasicValue
`isValid, raw, rlen, roff`

Constructor Summary
`HttpAcceptLanguage()`

Method Summary
`java.lang.String` | `getLanguage()` Get this accept language clause language.
`double` | `getQuality()` Get the quality at which this language is accepted.
`java.lang.Object` | `getValue()` HeaderValue implemenntation - Get this header value.
`protected void` | `invalidateByteValue()` Invalidate the current byte value for this header, if any.
`protected void` | `parse()` parse.
`void` | `setLanguage(java.lang.String language)` Set the language accepted by this clause.
`void` | `setQuality(double quality)` Set the quality under which this language is accepted.
`protected void` | `updateByteValue()` Update the RFC822 compatible header value for this object.

Methods inherited from class org.w3c.www.http.BasicValue
`addBytes, appendValue, checkByteValue, emit, error, setBytes, setString, toExternalForm, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpAcceptLanguage

    public HttpAcceptLanguage()

Method Detail

### parse

    protected void parse()
                  throws HttpParserException

  parse.

  Specified by:
    `parse` in class `BasicValue`
  Throws:
    `HttpParserException` - if parsing failed.

### invalidateByteValue

    protected void invalidateByteValue()

  Description copied from class: `BasicValue`
  Invalidate the current byte value for this header, if any.

  Overrides:
    `invalidateByteValue` in class `BasicValue`

### updateByteValue

    protected void updateByteValue()

  Description copied from class: `BasicValue`
  Update the RFC822 compatible header value for this object.

  Specified by:
    `updateByteValue` in class `BasicValue`

### getValue

    public java.lang.Object getValue()

  Description copied from class: `BasicValue`
  HeaderValue implemenntation - Get this header value.

  Specified by:
    `getValue` in interface `HeaderValue`
  Specified by:
    `getValue` in class `BasicValue`
  Returns:
    An object representing the parsed value for this header.

### getLanguage

    public java.lang.String getLanguage()

  Get this accept language clause language.

  Returns:
    A String encoding the language token.

### setLanguage

    public void setLanguage(java.lang.String language)

  Set the language accepted by this clause.

  Parameters:
    `language` - The accepted language.

### getQuality

    public double getQuality()

  Get the quality at which this language is accepted.

  Returns:
    A double value, encoding the quality, or 1.0 if undefined.

### setQuality

    public void setQuality(double quality)

  Set the quality under which this language is accepted.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD